=== debian/changelog ===
ms-gsl (0~git20170403.ebab8ca-1) unstable; urgency=low

  * Initial upload (closes: #859221)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 06 Apr 2017 07:12:01 +0300
