=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Upstream does not provide a tarball
get-orig-source:
	git clone https://github.com/Microsoft/GSL
	tar --exclude-vcs -cJf ../ms-gsl_0~git$$(cd GSL && git log -1 --date="format:%Y%m%d" --format="%cd.%h").orig.tar.xz GSL
	rm -rf GSL
