=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Build-Depends: cmake (>=2.8.7),
                debhelper (>=10),
                libunittest++-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/Microsoft/GSL
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ms-gsl.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ms-gsl.git
 
 Package: libmsgsl-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Microsoft Guidelines Support Library
  The Guideline Support Library (GSL) contains functions and types that are
