=== debian/changelog ===
ms-gsl (1.0.0-2) unstable; urgency=medium

  * Add Catch-Classic-Workaround.patch (closes: #906385).
    - Redefine a macro for compatibility with Catch 1.x.x.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 25 Aug 2018 13:31:02 +0300

ms-gsl (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Replace the libunittest++-dev build dependency with the catch framework.
  * Move the repository of the package to salsa.debian.org.
  * Create the debain/watch file for tracking upstream versions.
  * Add support for the nocheck build profile
  * Update patches.
    - Fix-GCC-Build.patch: New fix of tests taken from already merged pull
      request.
  * Bump debhelper version to 11 and standards version to 4.1.5.
    - Add the Rules-Requires-Root field into debian/control.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 07 Jul 2018 13:26:34 +0300
