=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: cmake (>=2.8.7),
-               debhelper (>=10),
-               libunittest++-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>=11)
+Build-Depends-Indep: catch <!nocheck>, cmake (>=3.7)
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/GSL
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ms-gsl.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ms-gsl.git
+Vcs-Git: https://salsa.debian.org/debian/ms-gsl.git
+Vcs-Browser: https://salsa.debian.org/debian/ms-gsl
 
 Package: libmsgsl-dev
 Architecture: all
