=== debian/changelog ===
ms-gsl (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Drop no more needed Fix-GCC-Build.patch
    - Update Catch-Classic-Workaround.patch
  * Bump Standards-Version to 4.5.0, no related changes.
  * Bump debhelper-compat to 12, no releted changes.
  * Clarify required CMake version 3.1.3.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 28 Feb 2020 13:59:40 +0300
