=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper (>=11)
-Build-Depends-Indep: catch <!nocheck>, cmake (>=3.7)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: catch <!nocheck>, cmake (>= 3.1.3)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/GSL
 Vcs-Git: https://salsa.debian.org/debian/ms-gsl.git
