=== debian/changelog ===
ms-gsl (3.0.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 May 2020 12:57:17 -0700

ms-gsl (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to GoogleTest framework.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 26 Apr 2020 17:35:55 +0300
