=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: ms-gsl
 Section: libdevel
 Priority: optional
-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: catch <!nocheck>, cmake (>= 3.1.3)
+Build-Depends-Indep:
+ cmake (>= 3.1.3),
+ libgtest-dev <!nocheck>,
+ pkg-config <!nocheck>,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/GSL
