## ms-gsl 3.1.0

=== debian/changelog ===
ms-gsl (3.1.0-4ubuntu3) impish; urgency=medium

  * Add test dependendency on libunwind-13-dev, except on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Sep 2021 07:31:12 +0000

ms-gsl (3.1.0-4ubuntu2) impish; urgency=medium

  * Add test dependendency on libunwind-13-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Sep 2021 16:14:27 +0000

ms-gsl (3.1.0-4ubuntu1) hirsute; urgency=medium

  * Skip new clang test on s390x (see: #974841)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Dec 2020 16:15:21 +0100

ms-gsl (3.1.0-4) unstable; urgency=medium

  * Run autopkgtests only against default GCC and Clang (closes: #976037).
  * Bump Standards-Versions to 4.5.1, no related changes for this.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 27 Dec 2020 17:13:40 +0300

ms-gsl (3.1.0-3) unstable; urgency=medium

  * Build GoogleTest framework before testing GSL (closes: #972944).
  * Do auto-tests with Clang as well.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 01 Nov 2020 19:15:53 +0300

ms-gsl (3.1.0-2) unstable; urgency=medium

  * New Move-array-bounds-tests.patch (closes: #966895).
    - Use independent translation unit to bypass an error caused by
      "-Warray-bounds" flag.
  * Add autopkgtests with various GCC versions and C++ standards.
  * Update DebHelper compatibility level to 13.
    - Remove no longer needed the CMAKE_SKIP_INSTALL_ALL_DEPENDENCY variable
      from the debian/rules file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 20 Aug 2020 07:42:55 +0300

ms-gsl (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Add "Revert-Drop-ARCH_INDEPENDENT.patch"
    - This fixes build library consumers on 32-bit architectures.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 06 Jun 2020 22:00:01 +0300
