=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ms-gsl
 Section: libdevel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
- cmake (>= 3.1.3),
+ cmake (>= 3.14),
  libgtest-dev <!nocheck>,
  pkg-config <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Microsoft/GSL
 Vcs-Git: https://salsa.debian.org/debian/ms-gsl.git
