=== debian/tests/control ===
Tests: with-gcc-std14 with-gcc-std17 with-gcc-std20
Depends: cmake, g++, libgtest-dev, libmsgsl-dev, make, pkg-config
Restrictions: allow-stderr

Tests: with-clang-std14 with-clang-std17 with-clang-std20
Depends:
 clang,
 cmake,
 libc++-dev,
 libc++abi-dev,
 libgtest-dev,
 libmsgsl-dev,
 libunwind-13-dev [!s390x],
 make,
 pkg-config,
Restrictions: allow-stderr, skippable
