## ms-gsl 4.0.0

=== debian/changelog ===
ms-gsl (4.0.0-2) unstable; urgency=medium

  * Ignore -Wpsabi warnings on PowerPC.
  * Skip Clang autopkgtests on IBM Z.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 05 Feb 2022 23:19:23 +0300

ms-gsl (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete patches. They are all applied by upstream.
  * Do not ignore compiler warnings in autopkgtests.
  * New smoke test to reveal errors with version numbers.
  * Bump Standards-Version to 4.6.0, no required changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 01 Feb 2022 00:29:03 +0300
